Get Card
curl --request GET \
--url https://api.meow.com/v1/cards/{card_id} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.meow.com/v1/cards/{card_id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.meow.com/v1/cards/{card_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.meow.com/v1/cards/{card_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.meow.com/v1/cards/{card_id}")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.meow.com/v1/cards/{card_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.meow.com/v1/cards/{card_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const url = 'https://api.meow.com/v1/cards/{card_id}';
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));using RestSharp;
var options = new RestClientOptions("https://api.meow.com/v1/cards/{card_id}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("x-api-key", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
val client = OkHttpClient()
val request = Request.Builder()
.url("https://api.meow.com/v1/cards/{card_id}")
.get()
.addHeader("x-api-key", "<api-key>")
.build()
val response = client.newCall(request).execute()import Foundation
let url = URL(string: "https://api.meow.com/v1/cards/{card_id}")!
var request = URLRequest(url: url)
request.httpMethod = "GET"
request.timeoutInterval = 10
request.allHTTPHeaderFields = ["x-api-key": "<api-key>"]
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))falsefalse$headers=@{}
$headers.Add("x-api-key", "<api-key>")
$response = Invoke-WebRequest -Uri 'https://api.meow.com/v1/cards/{card_id}' -Method GET -Headers $headers{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"display_name": "<string>",
"last_four": "<string>",
"status": "pending",
"is_physical": true,
"cardholder": {
"name": "<string>",
"public_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"created_at": "2023-11-07T05:31:56Z",
"is_single_use": false,
"expiration": "2023-11-07T05:31:56Z",
"spending_restriction": {
"type": "allow",
"merchants": [
"<string>"
]
},
"allowed_categories": [
"Advertising"
]
}{
"code": 123,
"message": "<string>",
"debug_message": "<string>"
}{
"error_code": "<string>",
"message": "<string>"
}{
"error_code": "<string>",
"message": "<string>"
}{
"error_code": "<string>",
"message": "<string>"
}Cards
Get Card
Returns details of a specific card you have access to.
GET
/
cards
/
{card_id}
Get Card
Authorizations
Your Meow API key, sent in the x-api-key header for authentication.
Headers
Optional entity_id to scope requests to a specific entity.
Path Parameters
Card to fetch. Use list_cards to find one.
Response
Successful Response
Unique card identifier.
Card name or nickname.
Last 4 digits of the card number. Null until the issuer assigns the card number, so pending cards have no value.
Card status.
Available options:
pending, active, suspended, closed, failed Whether this is a physical card.
Cardholder info.
Show child attributes
Show child attributes
When the card was created.
Whether this is a single-use card.
When the card expires.
Merchant spending restrictions.
Show child attributes
Show child attributes
Merchant categories the card is restricted to. Null means every category is allowed.
Available options:
Advertising, Airlines, Books and Newspapers, Car Rental, Charity, Clothing, Electronics, Entertainment, Facilities Expenses, Financial Institutions and Fees, Fuel, Furniture, Gifts and Flowers, Government Services, Grocery, Ground Transportation, Insurance, Legal, Lodging, Meals, Medical, Memberships and Dues, Office Supplies, Parking, Personal Care, Political, Professional Services, Recruiting, Rent, Restaurants, Shipping, Software, Taxes, Taxis and Rideshare, Technology Infrastructure, Training and Education, Travel Services, Utilities, Vehicle Expenses